#
# Conditional build:
%bcond_without	doc	# HTML and PDF documentation
%bcond_without	tests	# unit tests

Summary:	Python 3 library for symbolic mathematics
Summary(pl.UTF-8):	Biblioteka Pythona 3 do matematyki symbolicznej
Name:		python3-sympy
Version:	1.14.0
Release:	1
License:	BSD
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/sympy/
Source0:	https://files.pythonhosted.org/packages/source/s/sympy/sympy-%{version}.tar.gz
# Source0-md5:	9872deb5bd7816dfbc89bec086b9e522
Patch0:		docs-build.patch
URL:		https://www.sympy.org/
BuildRequires:	gettext
BuildRequires:	graphviz
BuildRequires:	python3-devel >= 1:3.8
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-devel-tools
BuildRequires:	python3-mpmath >= 0.19
BuildRequires:	python3-numpy
%endif
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRequires:	sed >= 4.0
%if %{with doc}
BuildRequires:	fonts-TTF-DejaVu
BuildRequires:	pydoc3
BuildRequires:	python3-furo
BuildRequires:	python3-intersphinx_registry
BuildRequires:	python3-linkify-it-py
BuildRequires:	python3-matplotlib
BuildRequires:	python3-mpmath >= 0.19
BuildRequires:	python3-myst_parser
BuildRequires:	python3-sphinx_copybutton
BuildRequires:	python3-sphinx_math_dollar >= 1.2.1
BuildRequires:	python3-sphinx_reredirects
BuildRequires:	sphinx-pdg-3
# for cmex/fmex9.pfb
BuildRequires:	texlive-fonts-other
BuildRequires:	texlive-format-pdflatex
BuildRequires:	texlive-latex
BuildRequires:	texlive-latex-ams
BuildRequires:	texlive-latex-pgf
%endif
Requires:	python3-matplotlib
Requires:	python3-modules >= 1:3.8
Requires:	python3-pyglet
Conflicts:	python-sympy < 1.5.1-2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SymPy aims to become a full-featured computer algebra system (CAS)
while keeping the code as simple as possible in order to be
comprehensible and easily extensible. SymPy is written entirely in
Python and does not require any external libraries.

%description -l pl.UTF-8
SymPy ma być w pełni funkcjonalnym systemem algebry komputerowej
(CAS), a jednocześnie mieć jak najprostszy, czytelny i łatwo
rozszerzalny kod. Jest pisany całkowicie w Pythonie i nie wymaga
żadnych zewnętrznych bibliotek.

%package doc
Summary:	Documentation for SymPy module
Summary(pl.UTF-8):	Dokumentacja do SymPy
Group:		Documentation
Obsoletes:	python-sympy-doc = 1.7.1

%description doc
HTML documentation for SymPy.

%description doc -l pl.UTF-8
Dokumentacja do SymPy w formacie HTML.

%prep
%setup -q -n sympy-%{version}
%patch -P 0 -p1

%build
# some tests (for example such that require GUI) are not run on their CI systems, so use that
export CI=true
%py3_build %{?with_tests:test}

%if %{with doc}
pydir=$(pwd)/build-3/lib
cd doc
PYTHONPATH=$pydir \
%{__make} html \
	SPHINXBUILD=sphinx-build-3
%{__make} cheatsheet
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%{__mv} $RPM_BUILD_ROOT%{_bindir}/isympy{,3}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS LICENSE README.md
%attr(755,root,root) %{_bindir}/isympy3
%{py3_sitescriptdir}/isympy.py
%{py3_sitescriptdir}/__pycache__/isympy.cpython-*.py[co]
%{py3_sitescriptdir}/sympy
%{py3_sitescriptdir}/sympy-%{version}-*.egg-info
%{_mandir}/man1/isympy.1*

%if %{with doc}
%files doc
%defattr(644,root,root,755)
%doc doc/_build/html/{_images,_static,modules,pics,special_topics,tutorial,*.html,*.js} doc/_build/cheatsheet/cheatsheet.pdf
%endif
%changelog
* Sun May 04 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-sympy.git;a=log;h=master

* Sun May 04 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 3998c9a
- Up to 1.14.0

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 3069af8
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> cd3158d
- python 3.13 rebuild

* Sun Mar 09 2025 Jan Rękorajski <baggins@pld-linux.org> 5caec37
- use patch -P

* Sat Jan 14 2023 Jakub Bogusz <qboosh@pld-linux.org> 6504cb2
- docs build now

* Fri Jan 13 2023 Jakub Bogusz <qboosh@pld-linux.org> 257dfe8
- readded nodisplay patch
- more docs dependencies

* Thu Jan 05 2023 Jakub Bogusz <qboosh@pld-linux.org> 346298e
- moved from python-sympy.spec, updated to 1.11.1 for python 3.8+

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 14ff1df
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 01a4da5
- rebuild with python 3.10

* Fri Mar 12 2021 Jan Rękorajski <baggins@pld-linux.org> 8ccea62
- disable werror for docs build

* Thu Mar 11 2021 Jan Rękorajski <baggins@pld-linux.org> a7afb26
- up to 1.7.1, python 2 no longer supported

* Sat Apr 11 2020 Jakub Bogusz <qboosh@pld-linux.org> a7715bb
- BR: texlive-fonts-other

* Fri Apr 10 2020 Jakub Bogusz <qboosh@pld-linux.org> 2e3072f
- updated to 1.5.1
- updated nodisplay patch
- removed Exception-changed-after-numpy-1.17,Fix-more-compatibility-issues-with-Python3.8,Modify-literal-comparisons-as-per-python3.8-guidelines,sympy-is patches

* Tue Nov 05 2019 Jan Rękorajski <baggins@pld-linux.org> e8e4817
- release 3 (by relup.sh)

* Mon Nov 04 2019 Jan Rękorajski <baggins@pld-linux.org> 1457cdc
- test suite fixes

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> ee8522b
- rebuild with python 3.8
- release 2 (by relup.sh)

* Mon Sep 16 2019 Jakub Bogusz <qboosh@pld-linux.org> 225dae1
- doc BR: texlive-latex-ams

* Sun Sep 15 2019 Jakub Bogusz <qboosh@pld-linux.org> 558a01d
- fixed doc build without sympy installed

* Sat Sep 14 2019 Jakub Bogusz <qboosh@pld-linux.org> 13fba09
- doc requires matplotlib

* Sat Sep 14 2019 Jakub Bogusz <qboosh@pld-linux.org> cd938da
- updated to 1.4
- removed obsolete docs-build patch
- added nodisplay patch (blacklist tests requiring DISPLAY when it's missing)

